=== debian/changelog ===
otpclient (2.3.2-1) unstable; urgency=medium

  * New upstream version 2.3.2.
  * debian/not-installed: created to list the files otpclient.1.gz and
    otpclient-cli.1.gz. Using the packaging manpage.
  * debian/otpclient.1: updated date and version.
  * debian/otpclient.install: added new icon.
  * debian/otpclient-cli.1: updated date and version.
  * debian/patches/001-use_debhelper_CFLAGS.patch:
      - Added 'Forwarded: not-needed'.
  * debian/watch: fixed syntax of pgpsigurlmangle option.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Sat, 01 Aug 2020 21:54:18 +0000

otpclient (2.3.1-2) unstable; urgency=medium

  * Source-only upload to allow testing migration.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Wed, 15 Jul 2020 16:11:32 +0000

otpclient (2.3.1-1) unstable; urgency=low

  * Initial release. (Closes: #959692)

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Sat, 20 Jun 2020 21:49:23 +0000
