=== debian/control ===
Source: otpclient
Section: utils
Priority: optional
Maintainer: Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libcotp-dev,
               libgcrypt20-dev,
               libgtk-3-dev,
               libjansson-dev,
               libpng-dev,
               libzbar-dev,
               libzip-dev,
               pkg-config
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/paolostivanin/OTPClient
Vcs-Browser: https://salsa.debian.org/debian/otpclient
Vcs-Git: https://salsa.debian.org/debian/otpclient.git

Package: otpclient
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: otpclient-cli (= ${binary:Version})
Description: Simple GTK+ software to generate OTPs (TOTP and HOTP)
 OTPClient is GTK+ software for two-factor authentication
 that supports both Time-based One-time Passwords (TOTP)
 and HMAC-Based One-Time Passwords (HOTP).
 .
 Features:
  - Support both TOTP and HOTP.
  - Support setting custom digits (between 4 and 10 inclusive).
  - Support setting a custom period (between 10 and 120 seconds inclusive).
  - Support SHA1, SHA256 and SHA512 algorithms.
  - Support for Steam codes.
  - Import encrypted Authenticator Plus backup.
  - Import and export encrypted and/or plain andOTP backup.
  - Import and export plain FreeOTPPlus backup (key URI format only).
  - Import and export plain Aegis backup (plain json only).
  - Local database is encrypted using AES256-GCM.
     * Key is derived using PBKDF2 with SHA512 and 100k iterations.
     * Decrypted file is never saved (and hopefully never swapped) to disk.
       While the app is running, the decrypted content resides
       in a "secure memory" buffer allocated by Gcrypt.

Package: otpclient-cli
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: otpclient (= ${binary:Version})
Description: command-line for OTPClient
 OTPClient-CLI is simplified version of OTPClient.
 Only two operations are supported:
  - list: this will print all pairs of account and issuer
    that are in the database.
  - show: this will show the OTP for a given account/issuer.
