## otpclient 2.4.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(OTPClient VERSION "2.3.2" LANGUAGES "C")
+project(OTPClient VERSION "2.4.2" LANGUAGES "C")
 
 configure_file("src/common/version.h.in" "version.h")
 include_directories(${PROJECT_BINARY_DIR})
@@ -70,13 +70,13 @@
         src/password-cb.h
         src/qrcode-parser.h
         src/treeview.h
-        src/exports.h
-        src/lock-app.h)
+        src/common/exports.h
+        src/lock-app.h src/common/get-providers-data.h)
 
 set(GUI_SOURCE_FILES
         src/common/common.c
         src/add-common.c
-        src/andotp.c
+        src/common/andotp.c
         src/app.c
         src/authplus.c
         src/gui-common.c
@@ -102,8 +102,8 @@
         src/webcam-add-cb.c
         src/exports.c
         src/lock-app.c
-        src/freeotp.c
-        src/aegis.c)
+        src/common/freeotp.c
+        src/common/aegis.c)
 
 set(CLI_HEADER_FILES
         src/cli/help.h
@@ -111,7 +111,10 @@
         src/common/common.h
         src/db-misc.h
         src/gquarks.h
-        src/file-size.h)
+        src/file-size.h
+        src/common/exports.h
+        src/parse-uri.h
+        src/common/get-providers-data.h)
 
 set(CLI_SOURCE_FILES
         src/cli/main.c
@@ -120,7 +123,12 @@
         src/common/common.c
         src/db-misc.c
         src/gquarks.c
-        src/file-size.c)
+        src/file-size.c
+        src/parse-uri.c
+        src/common/andotp.c
+        src/common/aegis.c
+        src/common/freeotp.c)
+
 if(BUILD_GUI AND BUILD_CLI)
         list(APPEND CLI_SOURCE_FILES
                 src/treeview.c
@@ -195,16 +203,8 @@
 install(FILES src/ui/otpclient.ui DESTINATION share/otpclient)
 install(FILES src/ui/shortcuts.ui DESTINATION share/otpclient)
 
-install(FILES otpclient.1.gz DESTINATION share/man/man1)
-install(FILES otpclient-cli.1.gz DESTINATION share/man/man1)
-
-install(FILES data/icons/icon_x16.png DESTINATION share/icons/hicolor/16x16/apps RENAME com.github.paolostivanin.OTPClient.png)
-install(FILES data/icons/icon_x24.png DESTINATION share/icons/hicolor/24x24/apps RENAME com.github.paolostivanin.OTPClient.png)
-install(FILES data/icons/icon_x32.png DESTINATION share/icons/hicolor/32x32/apps RENAME com.github.paolostivanin.OTPClient.png)
-install(FILES data/icons/icon_x48.png DESTINATION share/icons/hicolor/48x48/apps RENAME com.github.paolostivanin.OTPClient.png)
-install(FILES data/icons/icon_x64.png DESTINATION share/icons/hicolor/64x64/apps RENAME com.github.paolostivanin.OTPClient.png)
-install(FILES data/icons/icon_x128.png DESTINATION share/icons/hicolor/128x128/apps RENAME com.github.paolostivanin.OTPClient.png)
-install(FILES data/icons/icon_x256.png DESTINATION share/icons/hicolor/256x256/apps RENAME com.github.paolostivanin.OTPClient.png)
-install(FILES data/icons/icon_x512.png DESTINATION share/icons/hicolor/512x512/apps RENAME com.github.paolostivanin.OTPClient.png)
+install(FILES man/otpclient.1.gz DESTINATION share/man/man1)
+install(FILES man/otpclient-cli.1.gz DESTINATION share/man/man1)
+
 install(FILES data/icons/com.github.paolostivanin.OTPClient.svg DESTINATION share/icons/hicolor/scalable/apps)
 install(FILES data/icons/com.github.paolostivanin.OTPClient-symbolic.svg DESTINATION share/icons/hicolor/scalable/apps)
