=== debian/changelog ===
otpclient (2.4.2-1) unstable; urgency=medium

  * New upstream version 2.4.2.
  * Update debian/otpclient.install.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Fri, 12 Feb 2021 19:34:39 +0000

otpclient (2.4.1-1) unstable; urgency=medium

  * New upstream version 2.4.1.
  * debian/manpage/otpclient-cli.txt: update.
  * debian/otpclient-cli.1: update.
  * debian/tests/control: add to perform a test.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Wed, 06 Jan 2021 18:25:54 +0000

otpclient (2.4.0-1) unstable; urgency=medium

  * New upstream version 2.4.0.
  * Bump Standards-Version to 4.5.1.
  * debian/gbp.conf: replace debian/master with debian/latest.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Thu, 31 Dec 2020 05:07:48 +0000
