=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libzbar-dev,
                libzip-dev,
                pkg-config
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/paolostivanin/OTPClient
 Vcs-Browser: https://salsa.debian.org/debian/otpclient
