=== debian/tests/control ===
Test-Command: otpclient-cli -v
Restrictions: superficial

Test-Command: xvfb-run -a otpclient &
Depends: @, xauth, xvfb
