=== debian/changelog ===
otpclient (2.4.6-1) unstable; urgency=medium

  * New upstream version 2.4.6.
  * debian/copyright: update upstream and packaging copyright years.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Tue, 16 Nov 2021 13:41:25 +0000

otpclient (2.4.5-1) unstable; urgency=medium

  * New upstream version 2.4.5.
  * Bump Standards-Version to 4.6.0.1.
  * debian/tests/control: drop the superficial test and drop Test-Command that
    runs in the background with an ampersand. See #988591.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Sat, 13 Nov 2021 00:55:05 +0000

otpclient (2.4.4-1) unstable; urgency=medium

  * New upstream version 2.4.4.
  * Update debian/watch.
  * debian/patches/001-use_debhelper_CFLAGS.patch: refresh.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Tue, 17 Aug 2021 01:32:41 +0000
