## otpclient 2.6.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-cmake_minimum_required(VERSION 3.5)
-project(OTPClient VERSION "2.4.4" LANGUAGES "C")
+cmake_minimum_required(VERSION 3.10)
+project(OTPClient VERSION "2.6.3" LANGUAGES "C")
 
 configure_file("src/common/version.h.in" "version.h")
 include_directories(${PROJECT_BINARY_DIR})
@@ -38,19 +38,20 @@
 endif()
 
 find_package(PkgConfig REQUIRED)
+find_package(Protobuf 3.6.0 REQUIRED)
 find_package(Gcrypt 1.6.0 REQUIRED)
 pkg_check_modules(COTP REQUIRED cotp>=1.2.1)
+pkg_check_modules(BASEENCODE REQUIRED baseencode>=1.0.12)
 pkg_check_modules(PNG REQUIRED libpng>=1.2.0)
 pkg_check_modules(LIBZIP REQUIRED libzip>=1.0.0)
 pkg_check_modules(JANSSON REQUIRED jansson>=2.6.0)
-pkg_check_modules(ZBAR REQUIRED zbar>=0.10)
-pkg_check_modules(GTK3 REQUIRED gtk+-3.0>=3.18.0)
+pkg_check_modules(ZBAR REQUIRED zbar>=0.20)
+pkg_check_modules(GTK3 REQUIRED gtk+-3.0>=3.20.0)
 pkg_check_modules(GLIB2 REQUIRED glib-2.0>=2.48.0)
 pkg_check_modules(GIO REQUIRED gio-2.0>=2.48.0)
-
-if(${ZBAR_VERSION} VERSION_EQUAL 0.10)
-    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DZBAR_OLD_LIB")
-endif ()
+pkg_check_modules(UUID REQUIRED uuid>=2.34.0)
+pkg_check_modules(PROTOC REQUIRED libprotobuf-c>=1.3.0)
+pkg_check_modules(LIBSECRET REQUIRED libsecret-1>=0.20.0)
 
 set(GUI_HEADER_FILES
         src/common/common.h
@@ -71,7 +72,13 @@
         src/qrcode-parser.h
         src/treeview.h
         src/common/exports.h
-        src/lock-app.h src/common/get-providers-data.h)
+        src/lock-app.h
+        src/common/get-providers-data.h
+        src/change-db-cb.h
+        src/new-db-cb.h
+        src/db-actions.h
+        src/google-migration.pb-c.h
+        src/secret-schema.h)
 
 set(GUI_SOURCE_FILES
         src/common/common.c
@@ -94,7 +101,6 @@
         src/parse-uri.c
         src/password-cb.c
         src/qrcode-parser.c
-        src/screenshot-add-cb.c
         src/add-from-qr.c
         src/settings.c
         src/shortcuts.c
@@ -103,7 +109,13 @@
         src/exports.c
         src/lock-app.c
         src/common/freeotp.c
-        src/common/aegis.c)
+        src/common/aegis.c
+        src/change-db-cb.c
+        src/new-db-cb.c
+        src/db-actions.c
+        src/change-file-cb.c
+        src/google-migration.pb-c.c
+        src/secret-schema.c)
 
 set(CLI_HEADER_FILES
         src/cli/help.h
@@ -114,7 +126,9 @@
         src/file-size.h
         src/common/exports.h
         src/parse-uri.h
-        src/common/get-providers-data.h)
+        src/common/get-providers-data.h
+        src/google-migration.pb-c.h
+        src/secret-schema.h)
 
 set(CLI_SOURCE_FILES
         src/cli/main.c
@@ -127,19 +141,30 @@
         src/parse-uri.c
         src/common/andotp.c
         src/common/aegis.c
-        src/common/freeotp.c)
+        src/common/freeotp.c
+        src/secret-schema.c
+        src/google-migration.pb-c.c)
 
 if(BUILD_GUI AND BUILD_CLI)
         list(APPEND CLI_SOURCE_FILES
                 src/treeview.c
                 src/liststore-misc.c
                 src/gui-common.c
+                src/add-common.c
+                src/imports.c
+                src/authplus.c
+                src/password-cb.c
+                src/get-builder.c
                 src/message-dialogs.c)
 
         list(APPEND CLI_HEADER_FILES
                 src/treeview.h
                 src/liststore-misc.h
                 src/gui-common.h
+                src/add-common.h
+                src/imports.h
+                src/password-cb.h
+                src/get-builder.h
                 src/message-dialogs.h)
 endif()
 
@@ -147,20 +172,28 @@
         include_directories(${GTK3_INCLUDE_DIRS}
                 ${GCRYPT_INCLUDE_DIRS}
                 ${COTP_INCLUDE_DIRS}
+                ${BASEENCODE_INCLUDE_DIRS}
                 ${LIBZIP_INCLUDE_DIRS}
                 ${PNG_INCLUDE_DIRS}
                 ${JANSSON_INCLUDE_DIRS}
-                ${ZBAR_INCLUDE_DIRS})
+                ${ZBAR_INCLUDE_DIRS}
+                ${UUID_INCLUDE_DIRS}
+                ${PROTOC_INCLUDE_DIRS}
+                ${LIBSECRET_INCLUDE_DIRS})
 
         add_executable(${PROJECT_NAME} ${GUI_SOURCE_FILES} ${GUI_HEADER_FILES})
         target_link_libraries(${PROJECT_NAME}
                 ${GTK3_LIBRARIES}
                 ${GCRYPT_LIBRARIES}
                 ${COTP_LIBRARIES}
+                ${BASEENCODE_LIBRARIES}
                 ${LIBZIP_LIBRARIES}
                 ${PNG_LIBRARIES}
                 ${JANSSON_LIBRARIES}
-                ${ZBAR_LIBRARIES})
+                ${ZBAR_LIBRARIES}
+                ${UUID_LIBRARIES}
+                ${PROTOC_LIBRARIES}
+                ${LIBSECRET_LIBRARIES})
 
         set_target_properties(${PROJECT_NAME} PROPERTIES OUTPUT_NAME "otpclient")
         install(TARGETS ${PROJECT_NAME} DESTINATION bin)
@@ -169,13 +202,21 @@
 if(BUILD_CLI)
         include_directories(${GTK3_INCLUDE_DIRS}
                 ${GCRYPT_INCLUDE_DIRS}
+                ${BASEENCODE_INCLUDE_DIRS}
                 ${COTP_INCLUDE_DIRS}
-                ${JANSSON_INCLUDE_DIRS})
+                ${BASEENCODE_INCLUDE_DIRS}
+                ${JANSSON_INCLUDE_DIRS}
+                ${UUID_INCLUDE_DIRS}
+                ${PROTOC_INCLUDE_DIRS}
+                ${LIBSECRET_INCLUDE_DIRS})
         if(BUILD_GUI)
                 include_directories(
                         ${LIBZIP_INCLUDE_DIRS}
                         ${PNG_INCLUDE_DIRS}
-                        ${ZBAR_INCLUDE_DIRS})
+                        ${ZBAR_INCLUDE_DIRS}
+                        ${UUID_INCLUDE_DIRS}
+                        ${PROTOC_INCLUDE_DIRS}
+                        ${LIBSECRET_INCLUDE_DIRS})
         endif()
 
         add_executable(${PROJECT_NAME}-cli ${CLI_SOURCE_FILES} ${CLI_HEADER_FILES})
@@ -183,14 +224,21 @@
                 ${GLIB2_LIBRARIES}
                 ${GIO_LIBRARIES}
                 ${GCRYPT_LIBRARIES}
+                ${BASEENCODE_LIBRARIES}
                 ${COTP_LIBRARIES}
-                ${JANSSON_LIBRARIES})
+                ${JANSSON_LIBRARIES}
+                ${UUID_LIBRARIES}
+                ${LIBSECRET_LIBRARIES}
+                ${PROTOC_LIBRARIES})
         if(BUILD_GUI)
                 target_link_libraries(${PROJECT_NAME}-cli
                         ${GTK3_LIBRARIES}
                         ${LIBZIP_LIBRARIES}
                         ${PNG_LIBRARIES}
-                        ${ZBAR_LIBRARIES})
+                        ${ZBAR_LIBRARIES}
+                        ${PROTOC_LIBRARIES}
+                        ${LIBSECRET_LIBRARIES}
+                        ${UUID_LIBRARIES})
         endif()
 
         set_target_properties(${PROJECT_NAME}-cli PROPERTIES OUTPUT_NAME "otpclient-cli")
