=== debian/changelog ===
otpclient (2.6.3-1) unstable; urgency=medium

  * New upstream version 2.6.3.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Mon, 08 Aug 2022 13:37:14 +0000

otpclient (2.6.2-1) unstable; urgency=medium

  * New upstream version 2.6.2.
  * Bump Standards-Version to 4.6.1.
  * Add new build dependencies: 'libbaseencode-dev', 'libprotobuf-c-dev',
    'libprotobuf-dev' and 'libsecret-1-dev'.
  * Refresh all patches.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Thu, 14 Jul 2022 15:32:09 +0000

otpclient (2.5.1-1) unstable; urgency=medium

  * New upstream version 2.5.1.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Mon, 11 Apr 2022 12:12:48 +0000

otpclient (2.5.0-1) unstable; urgency=medium

  * New upstream version 2.5.0.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Thu, 31 Mar 2022 17:08:20 +0000

otpclient (2.4.9.1-1) unstable; urgency=medium

  * New upstream version 2.4.9.1.
  * Update my email address.
  * Update upstream and packaging copyright years.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Mon, 07 Mar 2022 01:18:23 +0000
