=== debian/control ===
--- 
+++ 
@@ -1,18 +1,22 @@
 Source: otpclient
 Section: utils
 Priority: optional
-Maintainer: Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>
+Maintainer: Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
+               libbaseencode-dev,
                libcotp-dev,
                libgcrypt20-dev,
                libgtk-3-dev,
                libjansson-dev,
                libpng-dev,
+               libprotobuf-c-dev,
+               libprotobuf-dev,
+               libsecret-1-dev,
                libzbar-dev,
                libzip-dev,
                pkg-config
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/paolostivanin/OTPClient
 Vcs-Browser: https://salsa.debian.org/debian/otpclient
