## otpclient 3.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,11 @@
-cmake_minimum_required(VERSION 3.10)
-project(OTPClient VERSION "2.6.3" LANGUAGES "C")
+cmake_minimum_required(VERSION 3.16)
+project(OTPClient VERSION "3.1.3" LANGUAGES "C")
+include(GNUInstallDirs)
 
 configure_file("src/common/version.h.in" "version.h")
+
+set (GETTEXT_PACKAGE ${CMAKE_PROJECT_NAME})
+
 include_directories(${PROJECT_BINARY_DIR})
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
@@ -28,6 +32,7 @@
 if(BUILD_CLI)
     set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DBUILD_CLI")
 endif()
+add_definitions(-DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\")
 
 
 if(CMAKE_SYSTEM_NAME STREQUAL "Linux")
@@ -41,17 +46,20 @@
 find_package(Protobuf 3.6.0 REQUIRED)
 find_package(Gcrypt 1.6.0 REQUIRED)
 pkg_check_modules(COTP REQUIRED cotp>=1.2.1)
-pkg_check_modules(BASEENCODE REQUIRED baseencode>=1.0.12)
+if(${COTP_VERSION} LESS 2.0.0)
+  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DCOTP_OLD_LIB")
+  pkg_check_modules(BASEENCODE REQUIRED baseencode>=1.0.12)
+endif()
 pkg_check_modules(PNG REQUIRED libpng>=1.2.0)
-pkg_check_modules(LIBZIP REQUIRED libzip>=1.0.0)
-pkg_check_modules(JANSSON REQUIRED jansson>=2.6.0)
+pkg_check_modules(JANSSON REQUIRED jansson>=2.10.0)
 pkg_check_modules(ZBAR REQUIRED zbar>=0.20)
 pkg_check_modules(GTK3 REQUIRED gtk+-3.0>=3.20.0)
-pkg_check_modules(GLIB2 REQUIRED glib-2.0>=2.48.0)
-pkg_check_modules(GIO REQUIRED gio-2.0>=2.48.0)
+pkg_check_modules(GLIB2 REQUIRED glib-2.0>=2.64.0)
+pkg_check_modules(GIO REQUIRED gio-2.0>=2.64.0)
 pkg_check_modules(UUID REQUIRED uuid>=2.34.0)
 pkg_check_modules(PROTOC REQUIRED libprotobuf-c>=1.3.0)
 pkg_check_modules(LIBSECRET REQUIRED libsecret-1>=0.20.0)
+pkg_check_modules(LIBQRENCODE REQUIRED libqrencode>=4.0.2)
 
 set(GUI_HEADER_FILES
         src/common/common.h
@@ -78,17 +86,22 @@
         src/new-db-cb.h
         src/db-actions.h
         src/google-migration.pb-c.h
-        src/secret-schema.h)
+        src/secret-schema.h
+        src/change-pwd-cb.h
+        src/settings-cb.h
+        src/shortcuts-cb.h
+        src/webcam-add-cb.h
+        src/edit-row-cb.h
+        src/show-qr-cb.h)
 
 set(GUI_SOURCE_FILES
         src/common/common.c
         src/add-common.c
         src/common/andotp.c
         src/app.c
-        src/authplus.c
         src/gui-common.c
         src/db-misc.c
-        src/edit-data.c
+        src/edit-row-cb.c
         src/file-size.c
         src/get-builder.c
         src/gquarks.c
@@ -102,8 +115,8 @@
         src/password-cb.c
         src/qrcode-parser.c
         src/add-from-qr.c
-        src/settings.c
-        src/shortcuts.c
+        src/settings-cb.c
+        src/shortcuts-cb.c
         src/treeview.c
         src/webcam-add-cb.c
         src/exports.c
@@ -115,7 +128,11 @@
         src/db-actions.c
         src/change-file-cb.c
         src/google-migration.pb-c.c
-        src/secret-schema.c)
+        src/secret-schema.c
+        src/about_diag_cb.c
+        src/show-qr-cb.c
+        src/setup-signals-shortcuts.c
+        src/change-pwd-cb.c)
 
 set(CLI_HEADER_FILES
         src/cli/help.h
@@ -152,7 +169,6 @@
                 src/gui-common.c
                 src/add-common.c
                 src/imports.c
-                src/authplus.c
                 src/password-cb.c
                 src/get-builder.c
                 src/message-dialogs.c)
@@ -179,7 +195,8 @@
                 ${ZBAR_INCLUDE_DIRS}
                 ${UUID_INCLUDE_DIRS}
                 ${PROTOC_INCLUDE_DIRS}
-                ${LIBSECRET_INCLUDE_DIRS})
+                ${LIBSECRET_INCLUDE_DIRS}
+                ${LIBQRENCODE_INCLUDE_DIRS})
 
         add_executable(${PROJECT_NAME} ${GUI_SOURCE_FILES} ${GUI_HEADER_FILES})
         target_link_libraries(${PROJECT_NAME}
@@ -193,7 +210,8 @@
                 ${ZBAR_LIBRARIES}
                 ${UUID_LIBRARIES}
                 ${PROTOC_LIBRARIES}
-                ${LIBSECRET_LIBRARIES})
+                ${LIBSECRET_LIBRARIES}
+                ${LIBQRENCODE_LIBRARIES})
 
         set_target_properties(${PROJECT_NAME} PROPERTIES OUTPUT_NAME "otpclient")
         install(TARGETS ${PROJECT_NAME} DESTINATION bin)
@@ -204,7 +222,6 @@
                 ${GCRYPT_INCLUDE_DIRS}
                 ${BASEENCODE_INCLUDE_DIRS}
                 ${COTP_INCLUDE_DIRS}
-                ${BASEENCODE_INCLUDE_DIRS}
                 ${JANSSON_INCLUDE_DIRS}
                 ${UUID_INCLUDE_DIRS}
                 ${PROTOC_INCLUDE_DIRS}
@@ -214,9 +231,7 @@
                         ${LIBZIP_INCLUDE_DIRS}
                         ${PNG_INCLUDE_DIRS}
                         ${ZBAR_INCLUDE_DIRS}
-                        ${UUID_INCLUDE_DIRS}
-                        ${PROTOC_INCLUDE_DIRS}
-                        ${LIBSECRET_INCLUDE_DIRS})
+                        ${LIBQRENCODE_INCLUDE_DIRS})
         endif()
 
         add_executable(${PROJECT_NAME}-cli ${CLI_SOURCE_FILES} ${CLI_HEADER_FILES})
@@ -238,7 +253,8 @@
                         ${ZBAR_LIBRARIES}
                         ${PROTOC_LIBRARIES}
                         ${LIBSECRET_LIBRARIES}
-                        ${UUID_LIBRARIES})
+                        ${UUID_LIBRARIES}
+                        ${LIBQRENCODE_LIBRARIES})
         endif()
 
         set_target_properties(${PROJECT_NAME}-cli PROPERTIES OUTPUT_NAME "otpclient-cli")
