=== debian/changelog ===
otpclient (3.1.3-1) unstable; urgency=medium

  * New upstream version 3.1.3.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Tue, 17 Jan 2023 11:50:22 +0000

otpclient (3.1.1-1) unstable; urgency=medium

  * New upstream version 3.1.1.
  * Refresh debian/patches/001-use_debhelper_CFLAGS.patch.
  * Add new build-depends 'libqrencode-dev'.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Thu, 05 Jan 2023 16:18:02 +0000

otpclient (2.6.3-2) unstable; urgency=medium

  * Update the search rule in debian/watch.
  * Drop debian/salsa-ci.yml.
  * Update packaging copyright years.
  * Bump Standards-Version to 4.6.2.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Tue, 03 Jan 2023 14:40:51 +0000
