## otpclient 3.1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.16)
-project(OTPClient VERSION "3.1.3" LANGUAGES "C")
+project(OTPClient VERSION "3.1.4" LANGUAGES "C")
 include(GNUInstallDirs)
 
 configure_file("src/common/version.h.in" "version.h")
@@ -44,14 +44,14 @@
 
 find_package(PkgConfig REQUIRED)
 find_package(Protobuf 3.6.0 REQUIRED)
-find_package(Gcrypt 1.6.0 REQUIRED)
-pkg_check_modules(COTP REQUIRED cotp>=1.2.1)
+find_package(Gcrypt 1.8.0 REQUIRED)
+pkg_check_modules(COTP REQUIRED cotp>=1.2.8)
 if(${COTP_VERSION} LESS 2.0.0)
   set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DCOTP_OLD_LIB")
-  pkg_check_modules(BASEENCODE REQUIRED baseencode>=1.0.12)
-endif()
-pkg_check_modules(PNG REQUIRED libpng>=1.2.0)
-pkg_check_modules(JANSSON REQUIRED jansson>=2.10.0)
+  pkg_check_modules(BASEENCODE REQUIRED baseencode>=1.0.15)
+endif()
+pkg_check_modules(PNG REQUIRED libpng>=1.6.35)
+pkg_check_modules(JANSSON REQUIRED jansson>=2.12)
 pkg_check_modules(ZBAR REQUIRED zbar>=0.20)
 pkg_check_modules(GTK3 REQUIRED gtk+-3.0>=3.20.0)
 pkg_check_modules(GLIB2 REQUIRED glib-2.0>=2.64.0)
