=== debian/changelog ===
otpclient (3.1.4-1) unstable; urgency=medium

  * New upstream version 3.1.4.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Mon, 27 Feb 2023 11:58:30 +0000
