=== debian/control ===
--- 
+++ 
@@ -12,11 +12,12 @@
                libpng-dev,
                libprotobuf-c-dev,
                libprotobuf-dev,
+               libqrencode-dev,
                libsecret-1-dev,
                libzbar-dev,
                libzip-dev,
                pkg-config
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/paolostivanin/OTPClient
 Vcs-Browser: https://salsa.debian.org/debian/otpclient
