=== debian/changelog ===
otpclient (3.1.9-1) unstable; urgency=medium

  * New upstream version 3.1.9.
  * Update upstream copyright years.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Tue, 25 Jul 2023 12:51:06 +0000

otpclient (3.1.8-2) unstable; urgency=medium

  * Remove libbaseencode-dev from Build-Depends field.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Tue, 27 Jun 2023 18:35:45 +0000

otpclient (3.1.8-1) unstable; urgency=medium

  * New upstream version 3.1.8.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Tue, 27 Jun 2023 18:25:16 +0000
