=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
-               libbaseencode-dev,
                libcotp-dev,
                libgcrypt20-dev,
                libgtk-3-dev,
