=== debian/changelog ===
otpclient (3.2.1-2build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:09:15 +1100

otpclient (3.2.1-2build3) noble; urgency=medium

  * No-change rebuild against libgtk-3-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Mar 2024 06:14:01 +0000

otpclient (3.2.1-2build2) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 07:47:40 +0000

otpclient (3.2.1-2build1) noble; urgency=medium

  * Rebuild against 'new libcotp3'.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 17 Jan 2024 20:33:19 +0100

otpclient (3.2.1-2) unstable; urgency=medium

  * Rebuild against libcotp (2.1.0-1). (Closes: #1057369)

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Mon, 11 Dec 2023 17:05:45 +0000

otpclient (3.2.1-1) unstable; urgency=medium

  * New upstream version 3.2.1.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Mon, 06 Nov 2023 17:15:36 +0000
