=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: otpclient
 Section: utils
 Priority: optional
-Maintainer: Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libcotp-dev,
