=== debian/changelog ===
otpclient (3.6.0-3) unstable; urgency=medium

  * Add debian/patches/002-fix-freeotp-export.patch. (Closes: #1074263)

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Thu, 27 Jun 2024 14:01:23 +0000

otpclient (3.6.0-2) unstable; urgency=medium

  * Update debian/otpclient-cli.1. (Closes: #1074260)

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Wed, 26 Jun 2024 15:51:36 +0000

otpclient (3.6.0-1) unstable; urgency=medium

  * New upstream version 3.6.0.
  * Refresh debian/patches/001-use_debhelper_CFLAGS.patch.
  * Update debian/otpclient.install.
  * Change from pkg-config to pkgconf in the Build-Depends field.
  * Update upstream and packaging copyright years.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Mon, 29 Apr 2024 00:51:43 +0000
